-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local transceiver_type = ProcessingFlow[1].Destination.TransceiverType
if transceiver_type == '' then
    return {}
end
local type_array = {}
local pos = 1
for i, j in function () return string.find(transceiver_type, ';', pos, true) end do
    table.insert(type_array, string.sub(transceiver_type, pos, i - 1))
    pos = j + 1
end
table.insert(type_array, string.sub(transceiver_type, pos))
return type_array